%define anolis_release 2

Name:           perl-experimental
Version:        0.031
Release:        %{anolis_release}%{?dist}
Summary:        Experimental features made easy
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/experimental
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/experimental-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make coreutils
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Config) perl(strict) perl(warnings)
# Run-time:
BuildRequires:  perl(Carp) perl(feature) perl(version)
# Tests:
BuildRequires:  perl(Test::More) >= 0.89
Requires:       perl(feature)

Obsoletes:      %{name}-tests < %{EVR}

%description
perl-experimental is a Perl module that provides some experimental features that may change or 
be removed in future versions. This module is intended to allow developers to test and use 
these features to provide feedback and suggestions.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n experimental-%{version} -p1
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
 
%install
%{make_install}
%{_fixperms} %{buildroot}/*
 
%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test
 
%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*
 
%files doc
%doc README Changes INSTALL

%changelog
* Fri Apr 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.031-2
- Optimize the spec file

* Fri Feb 10 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.031-1
- update to version 0.031

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.027-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.027-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 0.027-1
- Init from upstream version 0.027
